/// Generated By XFlutter Cli.
/// 
/// more info: https://xflutter-cli.aghiadodeh.com
import 'flex_utils.dart';

class FlexDiemension {
  final double? xs;
  final double? sm;
  final double? md;
  final double lg;
  final double? xl;
  final double? xxl;
  final double? xxxl;

  const FlexDiemension({
    this.xs,
    this.sm,
    this.md,
    required this.lg,
    this.xl,
    this.xxl,
    this.xxxl,
  });

  /// return value depending on [FlexSize]
  double get value {
    switch (flexSize) {
      case FlexSize.xs:
        return xs ?? sm ?? md ?? lg;
      case FlexSize.sm:
        return sm ?? md ?? lg;
      case FlexSize.md:
        return md ?? lg;
      case FlexSize.lg:
        return lg;
      case FlexSize.xl:
        return xl ?? lg;
      case FlexSize.xxl:
        return xxl ?? xl ?? lg;
      case FlexSize.xxxl:
        return xxxl ?? xxl ?? lg;
    }
  }
}
